petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscMPIIntCast

casts a PetscInt (which may be 64 bits in size) to a PetscMPIInt (which may be 32 bits in size), generates an error if the PetscMPIInt is not large enough to hold the number.

### Synopsis

    PETSC_STATIC_INLINE PetscErrorCode PetscMPIIntCast(PetscInt a,PetscMPIInt *b)

Not Collective

### Input Parameter

a -the PetscInt value

### Output Parameter

b -the resulting PetscMPIInt value

Not available from Fortran

### See Also

PetscBLASInt, PetscMPIInt, PetscInt, PetscBLASIntCast()

### Level

advanced

### Location

include/petscsys.h

### Examples

src/snes/examples/tutorials/ex48.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages